### Hierarchy

- State

## Index

### Properties

- builtIn
- createdAt
- description
- id
- initial
- key
- lastModifiedAt
- name
- roles
- transitions
- type
- version

## Properties

### builtIn

builtIn: boolean

- Defined in node_modules/@cxcloud/ct-types/states.ts:11

### createdAt

createdAt: string

- Defined in node_modules/@cxcloud/ct-types/states.ts:14

### description

description: LocalizedString

- Defined in node_modules/@cxcloud/ct-types/states.ts:10

### id

id: string

- Defined in node_modules/@cxcloud/ct-types/states.ts:4

### initial

initial: boolean

- Defined in node_modules/@cxcloud/ct-types/states.ts:13

### key

key: string

- Defined in node_modules/@cxcloud/ct-types/states.ts:6

### lastModifiedAt

lastModifiedAt: string

- Defined in node_modules/@cxcloud/ct-types/states.ts:15

### name

name: LocalizedString

- Defined in node_modules/@cxcloud/ct-types/states.ts:9

### roles

roles: any[]

- Defined in node_modules/@cxcloud/ct-types/states.ts:8

### transitions

transitions: Reference[]

- Defined in node_modules/@cxcloud/ct-types/states.ts:12

### type

type: string

- Defined in node_modules/@cxcloud/ct-types/states.ts:7

### version

version: number

- Defined in node_modules/@cxcloud/ct-types/states.ts:5

Generated using TypeDoc